---
title: ContextMenu
description: Display a menu that appears on right click.
links:
  - label: GitHub
    icon: i-simple-icons-github
    to: https://github.com/nuxt/ui/blob/dev/src/runtime/components/overlays/ContextMenu.vue
---

## Usage

:component-example{component="context-menu-example"}

## Popper

Use the `popper` prop to customize the popper instance.

### Arrow

:component-example{component="context-menu-example-arrow"}

### Placement

:component-example{component="context-menu-example-placement"}

### Offset

:component-example{component="context-menu-example-offset"}

## Props

:component-props

## Config

:component-preset
